* This program runs on latest data file for 33 and 36 countries, created March 26, 2010. 
* and updated on an on-running basis.
* The Jan 04 data file corresponded to the original paper presented on the Brookings Conference in mid-March and
* includes the original sample of 33 countries
* The Mar 26 data file includes 3 extra countries: Pakistan, Romania, Ukraine
* The April 15 data file is for 33 countries, with one or 2 variables which have been updated, causing results of Brookings conference 
* to change only slightly; For example we added reserves data for Taiwan, and our measure of partner growth has been updated
* Data file name for most recent file with 33 countries: apr15_33countries.dta    
* Data file name for most recent file with 36 countries: mar26_36countries.dta    
* use " ", clear

************************************************************************************
***The following regressions are based on 2009q1 semester growth (09q1 v. 08q3) and
***the independent vars are set mainly so that they reflect semester changes as well
************************************************************************************
********TABLE 1 regressions - REPORT THE CONSTANT
********(Used in Basic Regressions Slide for Paris presentation)
reg deq1growth_sem expgdp07_pct stdebt_gdp07, vce(robust)
outreg2 deq1growth_sem expgdp07_pct stdebt_gdp07 using Tablereg_table1, excel se nolabel bdec(2) 10pct bracket 

reg deq1growth_sem twgdp09q1sem_expshare_internal stdebt_gdp07, vce(robust)
outreg2 deq1growth_sem twgdp09q1sem_expshare_internal stdebt_gdp07 using Tablereg_table1, excel se nolabel bdec(2) 10pct bracket 

reg deq1growth_sem twgdp09q1sem_expshare_internal stdebt_gdp07 ca_def_gdp07, vce(robust)
outreg2 deq1growth_sem twgdp09q1sem_expshare_internal stdebt_gdp07 ca_def_gdp07 using Tablereg_table1, excel se nolabel bdec(2) 10pct bracket 

local dep     "deq1growth_sem"
local trade   "twgdp09q1sem_expshare_internal"
local other   "ca_def_gdp07 stdebt_ca_gdp"

*************************************************************************
set more off
foreach x of local dep {
		foreach v of local trade   {	
		  foreach z of local other   {	
				reg `x' `v' `z', vce(robust) 		
                        outreg2 `x' `v' `z' using Tablereg_table1, excel se nolabel bdec(2) 10pct bracket 
			  }
			 }
			}
set more on


***************************************************************************************************************************
*****TABLE 2 regressions with new ctot measure!

reg deq1growth_sem twgdp09q1sem_expshare_internal new_ctot09q1_sem_expshare_pct stdebt_gdp07, vce(robust)
outreg2 deq1growth_sem twgdp09q1sem_expshare_internal new_ctot09q1_sem_expshare_pct stdebt_gdp07 using Tablereg_table2, excel se nolabel bdec(2) 10pct bracket nocons

***now include advanced manufacturing 05
reg deq1growth_sem twgdp09q1sem_expshare_internal new_ctot09q1_sem_expshare_pct advmanuf05 stdebt_gdp07, vce(robust)
outreg2 deq1growth_sem twgdp09q1sem_expshare_internal new_ctot09q1_sem_expshare_pct advmanuf05 stdebt_gdp07 using Tablereg_table2, excel se nolabel bdec(2) 10pct bracket nocons

***now with Adjusted (GTAP) partner growth stdebt
reg deq1growth_sem new_sem_twgdp09q1_expshare_internal stdebt_gdp07, vce(robust)
outreg2 deq1growth_sem new_sem_twgdp09q1_expshare_internal stdebt_gdp07 using Tablereg_table2, excel se nolabel bdec(2) 10pct bracket nocons

***now with change in real exports and stdebt_ca_gdp
reg deq1growth_sem chrexp09q1sem_gdp_gds_07_ar stdebt_gdp07, vce(robust)
outreg2 deq1growth_sem chrexp09q1sem_gdp_gds_07_ar stdebt_gdp07 using Tablereg_table2, excel se nolabel bdec(2) 10pct bracket nocons


***************************************************************************************************************************
*****TABLE 3 regressions
reg deq1growth_sem twgdp09q1sem_expshare_internal stdebt_gdp07 finanopen07_liabilities, vce(robust)
outreg2 deq1growth_sem twgdp09q1sem_expshare_internal stdebt_gdp07 finanopen07_liabilities using Tablereg_NEWtable3_stdebt, excel se nolabel bdec(2) 10pct bracket nocons

reg deq1growth_sem twgdp09q1sem_expshare_internal bis_stdebt_gdp07 nonbank_bis_stdebt_gdp07, vce(robust)
outreg2 deq1growth_sem twgdp09q1sem_expshare_internal bis_stdebt_gdp07 nonbank_bis_stdebt_gdp07 using Tablereg_NEWtable3_stdebt, excel se nolabel bdec(2) 10pct bracket nocons

local dep     "deq1growth_sem"
local trade   "twgdp09q1sem_expshare_internal"
local sted    "stdebt_gdp07"
local finance  "credit_growth_dmb fraser_credit" 
*************************************************************************
set more off
        foreach x of local dep {
          foreach v of local trade   {
		  foreach k of local sted   {
                foreach z of local finance {	
				reg `x' `v' `k' `z', vce(robust) 		
                        outreg2 `x' `v' `k' `z' using Tablereg_NEWtable3_stdebt, excel se nolabel bdec(2) 10pct bracket nocons
                     }
			  }
			 }
                  }
set more on

***************************************************************************************************************************
*****TABLE 4 regressions

reg deq1growth_sem twgdp09q1sem_expshare_internal ln_reserv_stdebt07, vce(robust)
outreg2 deq1growth_sem twgdp09q1sem_expshare_internal ln_reserv_stdebt07 using Tablereg_NEWtable4, excel se nolabel bdec(2) 10pct bracket nocons

***now include ln_stdebt_gdp07 and ln_reservgdp07
reg deq1growth_sem twgdp09q1sem_expshare_internal ln_stdebtingdp2007 ln_reservgdp07, vce(robust)
outreg2 deq1growth_sem twgdp09q1sem_expshare_internal ln_stdebtingdp2007 ln_reservgdp07 using Tablereg_NEWtable4, excel se nolabel bdec(2) 10pct bracket nocons


***************************************************************************************************************************
*****TABLE 5 regressions

reg deq1growth_sem twgdp09q1sem_expshare_internal stdebt_gdp07 err08, vce(robust)
outreg2 deq1growth_sem twgdp09q1sem_expshare_internal stdebt_gdp07 err08 using Tablereg_table_5, excel se nolabel bdec(2) 10pct bracket nocons

reg deq1growth_sem twgdp09q1sem_expshare_internal stdebt_gdp07 err08 err08_stdebt_gdp07, vce(robust)
outreg2 deq1growth_sem twgdp09q1sem_expshare_internal stdebt_gdp07 err08 err08_stdebt_gdp07 using Tablereg_table_5, excel se nolabel bdec(2) 10pct bracket nocons



***********************************************************************************************************************************************
***********************************************************************************************************************************************
***********************************************************************************************************************************************
***********************************************************************************************************************************************

****SAME REGS AS IN ORIGINAL VERSION BUT ADDING ONE INDEPENDENT VARIABLE
****WHICH IS de_ave_ann_growth05_07 (demeaned avg annual growth 2005 - 2007) 'demeaned by avg.annual growth 1995-07'


********TABLE 1 regressions 
********
reg deq1growth_sem expgdp07_pct stdebt_gdp07 de_ave_ann_growth05_07, vce(robust)
outreg2 deq1growth_sem expgdp07_pct stdebt_gdp07 de_ave_ann_growth05_07 using Tablereg_table1_extravar, excel se nolabel bdec(2) 10pct bracket 

reg deq1growth_sem twgdp09q1sem_expshare_internal stdebt_gdp07 de_ave_ann_growth05_07, vce(robust)
outreg2 deq1growth_sem twgdp09q1sem_expshare_internal stdebt_gdp07 de_ave_ann_growth05_07 using Tablereg_table1_extravar, excel se nolabel bdec(2) 10pct bracket 

reg deq1growth_sem twgdp09q1sem_expshare_internal stdebt_gdp07 ca_def_gdp07 de_ave_ann_growth05_07, vce(robust)
outreg2 deq1growth_sem twgdp09q1sem_expshare_internal stdebt_gdp07 ca_def_gdp07 de_ave_ann_growth05_07 using Tablereg_table1_extravar, excel se nolabel bdec(2) 10pct bracket 

local dep     "deq1growth_sem"
local trade   "twgdp09q1sem_expshare_internal"
local other   "ca_def_gdp07 stdebt_ca_gdp"
local extra   "de_ave_ann_growth05_07"
*************************************************************************
set more off
foreach x of local dep {
		foreach v of local trade   {	
		  foreach z of local other   {	
      	     foreach k of local extra   {	
				reg `x' `v' `z' `k', vce(robust) 		
                        outreg2 `x' `v' `z' `k' using Tablereg_table1_extravar, excel se nolabel bdec(2) 10pct bracket 
			  }
			 }
			}
                 }
set more on


***************************************************************************************************************************
*****TABLE 2 regressions with new ctot measure!

reg deq1growth_sem twgdp09q1sem_expshare_internal new_ctot09q1_sem_expshare_pct stdebt_gdp07 de_ave_ann_growth05_07, vce(robust)
outreg2 deq1growth_sem twgdp09q1sem_expshare_internal new_ctot09q1_sem_expshare_pct stdebt_gdp07 de_ave_ann_growth05_07 using Tablereg_table2_extravar, excel se nolabel bdec(2) 10pct bracket 

***now include advanced manufacturing 05
reg deq1growth_sem twgdp09q1sem_expshare_internal new_ctot09q1_sem_expshare_pct advmanuf05 stdebt_gdp07 de_ave_ann_growth05_07, vce(robust)
outreg2 deq1growth_sem twgdp09q1sem_expshare_internal new_ctot09q1_sem_expshare_pct advmanuf05 stdebt_gdp07 de_ave_ann_growth05_07 using Tablereg_table2_extravar, excel se nolabel bdec(2) 10pct bracket 

***now with Adjusted (GTAP) partner growth stdebt
reg deq1growth_sem new_sem_twgdp09q1_expshare_internal stdebt_gdp07 de_ave_ann_growth05_07, vce(robust)
outreg2 deq1growth_sem new_sem_twgdp09q1_expshare_internal stdebt_gdp07 de_ave_ann_growth05_07 using Tablereg_table2_extravar, excel se nolabel bdec(2) 10pct bracket 

***now with change in real exports and stdebt_ca_gdp
reg deq1growth_sem chrexp09q1sem_gdp_gds_07_ar stdebt_gdp07 de_ave_ann_growth05_07, vce(robust)
outreg2 deq1growth_sem chrexp09q1sem_gdp_gds_07_ar stdebt_gdp07 de_ave_ann_growth05_07 using Tablereg_table2_extravar, excel se nolabel bdec(2) 10pct bracket 


***************************************************************************************************************************
*****TABLE 3 regressions
reg deq1growth_sem twgdp09q1sem_expshare_internal stdebt_gdp07 finanopen07_liabilities de_ave_ann_growth05_07, vce(robust)
outreg2 deq1growth_sem twgdp09q1sem_expshare_internal stdebt_gdp07 finanopen07_liabilities de_ave_ann_growth05_07 using Tablereg_NEWtable3_stdebt_extravar, excel se nolabel bdec(2) 10pct bracket 

reg deq1growth_sem twgdp09q1sem_expshare_internal bis_stdebt_gdp07 nonbank_bis_stdebt_gdp07 de_ave_ann_growth05_07, vce(robust)
outreg2 deq1growth_sem twgdp09q1sem_expshare_internal bis_stdebt_gdp07 nonbank_bis_stdebt_gdp07 de_ave_ann_growth05_07 using Tablereg_NEWtable3_stdebt_extravar, excel se nolabel bdec(2) 10pct bracket 

local dep     "deq1growth_sem"
local trade   "twgdp09q1sem_expshare_internal"
local sted    "stdebt_gdp07"
local finance  "credit_growth_dmb fraser_credit" 
local extra  "de_ave_ann_growth05_07"
*************************************************************************
set more off
        foreach x of local dep {
          foreach v of local trade   {
		  foreach k of local sted   {
                foreach z of local finance {	
                  foreach h of local extra {	
				reg `x' `v' `k' `z' `h', vce(robust) 		
                        outreg2 `x' `v' `k' `z' `h' using Tablereg_NEWtable3_stdebt_extravar, excel se nolabel bdec(2) 10pct bracket 
                     }
			  }
			 }
                  }
                 }
set more on

***************************************************************************************************************************
*****TABLE 4 regressions

reg deq1growth_sem twgdp09q1sem_expshare_internal ln_reserv_stdebt07 de_ave_ann_growth05_07, vce(robust)
outreg2 deq1growth_sem twgdp09q1sem_expshare_internal ln_reserv_stdebt07 de_ave_ann_growth05_07 using Tablereg_NEWtable4_extravar, excel se nolabel bdec(2) 10pct bracket 

***now include ln_stdebt_gdp07 and ln_reservgdp07
reg deq1growth_sem twgdp09q1sem_expshare_internal ln_stdebtingdp2007 ln_reservgdp07 de_ave_ann_growth05_07, vce(robust)
outreg2 deq1growth_sem twgdp09q1sem_expshare_internal ln_stdebtingdp2007 ln_reservgdp07 de_ave_ann_growth05_07 using Tablereg_NEWtable4_extravar, excel se nolabel bdec(2) 10pct bracket 


***************************************************************************************************************************
*****TABLE 5 regressions

reg deq1growth_sem twgdp09q1sem_expshare_internal stdebt_gdp07 err08 de_ave_ann_growth05_07, vce(robust)
outreg2 deq1growth_sem twgdp09q1sem_expshare_internal stdebt_gdp07 err08 de_ave_ann_growth05_07 using Tablereg_table_5_extravar, excel se nolabel bdec(2) 10pct bracket 

reg deq1growth_sem twgdp09q1sem_expshare_internal stdebt_gdp07 err08 err08_stdebt_gdp07 de_ave_ann_growth05_07, vce(robust)
outreg2 deq1growth_sem twgdp09q1sem_expshare_internal stdebt_gdp07 err08 err08_stdebt_gdp07 de_ave_ann_growth05_07 using Tablereg_table_5_extravar, excel se nolabel bdec(2) 10pct bracket 

***********************************************************************************************************************************************
***********************************************************************************************************************************************
***********************************************************************************************************************************************
***********************************************************************************************************************************************

****SAME REGS AS ORIGINAL VERSION BUT REPLACING DEPENDENT VARIABLE WITH deviation_semgrowth (actual sem growth - projected sem growth) 

********TABLE 1 regressions 
********(Used in Basic Regressions Slide for Paris presentation)
reg deviation_semgrowth expgdp07_pct stdebt_gdp07, vce(robust)
outreg2 deviation_semgrowth expgdp07_pct stdebt_gdp07 using Tablereg_table1_deviation, excel se nolabel bdec(2) 10pct bracket 

reg deviation_semgrowth twgdp09q1sem_expshare_internal stdebt_gdp07, vce(robust)
outreg2 deviation_semgrowth twgdp09q1sem_expshare_internal stdebt_gdp07 using Tablereg_table1_deviation, excel se nolabel bdec(2) 10pct bracket 

reg deviation_semgrowth twgdp09q1sem_expshare_internal stdebt_gdp07 ca_def_gdp07, vce(robust)
outreg2 deviation_semgrowth twgdp09q1sem_expshare_internal stdebt_gdp07 ca_def_gdp07 using Tablereg_table1_deviation, excel se nolabel bdec(2) 10pct bracket 

local dep     "deviation_semgrowth"
local trade   "twgdp09q1sem_expshare_internal"
local other   "ca_def_gdp07 stdebt_ca_gdp"
*************************************************************************
set more off
foreach x of local dep {
		foreach v of local trade   {	
		  foreach z of local other   {	
				reg `x' `v' `z', vce(robust) 		
                        outreg2 `x' `v' `z' using Tablereg_table1_deviation, excel se nolabel bdec(2) 10pct bracket
			  }
			 }
			}
set more on


***************************************************************************************************************************
*****TABLE 2 regressions with new ctot measure!

reg deviation_semgrowth twgdp09q1sem_expshare_internal new_ctot09q1_sem_expshare_pct stdebt_gdp07, vce(robust)
outreg2 deviation_semgrowth twgdp09q1sem_expshare_internal new_ctot09q1_sem_expshare_pct stdebt_gdp07 using Tablereg_table2_deviation, excel se nolabel bdec(2) 10pct bracket 

***now include advanced manufacturing 05
reg deviation_semgrowth twgdp09q1sem_expshare_internal new_ctot09q1_sem_expshare_pct advmanuf05 stdebt_gdp07, vce(robust)
outreg2 deviation_semgrowth twgdp09q1sem_expshare_internal new_ctot09q1_sem_expshare_pct advmanuf05 stdebt_gdp07 using Tablereg_table2_deviation, excel se nolabel bdec(2) 10pct bracket

***now with Adjusted (GTAP) partner growth stdebt
reg deviation_semgrowth new_sem_twgdp09q1_expshare_internal stdebt_gdp07, vce(robust)
outreg2 deviation_semgrowth new_sem_twgdp09q1_expshare_internal stdebt_gdp07 using Tablereg_table2_deviation, excel se nolabel bdec(2) 10pct bracket 

***now with change in real exports and stdebt_ca_gdp
reg deviation_semgrowth chrexp09q1sem_gdp_gds_07_ar stdebt_gdp07, vce(robust)
outreg2 deviation_semgrowth chrexp09q1sem_gdp_gds_07_ar stdebt_gdp07 using Tablereg_table2_deviation, excel se nolabel bdec(2) 10pct bracket 


***************************************************************************************************************************
*****TABLE 3 regressions
reg deviation_semgrowth twgdp09q1sem_expshare_internal stdebt_gdp07 finanopen07_liabilities, vce(robust)
outreg2 deviation_semgrowth twgdp09q1sem_expshare_internal stdebt_gdp07 finanopen07_liabilities using Tablereg_NEWtable3_stdebt_deviation, excel se nolabel bdec(2) 10pct bracket 

reg deviation_semgrowth twgdp09q1sem_expshare_internal bis_stdebt_gdp07 nonbank_bis_stdebt_gdp07, vce(robust)
outreg2 deviation_semgrowth twgdp09q1sem_expshare_internal bis_stdebt_gdp07 nonbank_bis_stdebt_gdp07 using Tablereg_NEWtable3_stdebt_deviation, excel se nolabel bdec(2) 10pct bracket 

local dep     "deviation_semgrowth"
local trade   "twgdp09q1sem_expshare_internal"
local sted    "stdebt_gdp07"
local finance  "credit_growth_dmb fraser_credit" 
*************************************************************************
set more off
        foreach x of local dep {
          foreach v of local trade   {
		  foreach k of local sted   {
                foreach z of local finance {	
				reg `x' `v' `k' `z', vce(robust) 		
                        outreg2 `x' `v' `k' `z' using Tablereg_NEWtable3_stdebt_deviation, excel se nolabel bdec(2) 10pct bracket 
                     }
			  }
			 }
          		}
set more on

***************************************************************************************************************************
*****TABLE 4 regressions

reg deviation_semgrowth twgdp09q1sem_expshare_internal ln_reserv_stdebt07, vce(robust)
outreg2 deviation_semgrowth twgdp09q1sem_expshare_internal ln_reserv_stdebt07 using Tablereg_NEWtable4_deviation, excel se nolabel bdec(2) 10pct bracket 

***now include ln_stdebt_gdp07 and ln_reservgdp07
reg deviation_semgrowth twgdp09q1sem_expshare_internal ln_stdebtingdp2007 ln_reservgdp07, vce(robust)
outreg2 deviation_semgrowth twgdp09q1sem_expshare_internal ln_stdebtingdp2007 ln_reservgdp07 using Tablereg_NEWtable4_deviation, excel se nolabel bdec(2) 10pct bracket 


***************************************************************************************************************************
*****TABLE 5 regressions

reg deviation_semgrowth twgdp09q1sem_expshare_internal stdebt_gdp07 err08, vce(robust)
outreg2 deviation_semgrowth twgdp09q1sem_expshare_internal stdebt_gdp07 err08 using Tablereg_table_5_deviation, excel se nolabel bdec(2) 10pct bracket 

reg deviation_semgrowth twgdp09q1sem_expshare_internal stdebt_gdp07 err08 err08_stdebt_gdp07, vce(robust)
outreg2 deviation_semgrowth twgdp09q1sem_expshare_internal stdebt_gdp07 err08 err08_stdebt_gdp07 using Tablereg_table_5_deviation, excel se nolabel bdec(2) 10pct bracket 




***********************************************************************************************************************************************
***********************************************************************************************************************************************
***********************************************************************************************************************************************
***********************************************************************************************************************************************
*****MAIN TABLE REGRESSIONS USED IN FINAL PAPER VERSION SUBMITTED EARLY - MID MAY OF 2010 
**NOW WE WILL USE UNEXPECTED TRADE WEIGHTED PARTNER GROWTH (INCLUDING INTERPOLATED DATA when data includes 3 extra countries) INSTEAD OF OUR OWN INTERNAL TRADE WEIGHTED PARTNER GROWTH
** VAR IS  unexptradwegrw3, we also use deviation_semgrowth as dependent var;  REPORT CONSTANT
********TABLE 1 regressions  
********(Used in Basic Regressions Slide for Paris presentation)
reg deviation_semgrowth expgdp07_pct stdebt_gdp07, vce(robust)
outreg2 deviation_semgrowth expgdp07_pct stdebt_gdp07 using Tablereg_table1_unexp_pg, excel se nolabel bdec(2) 10pct bracket 

reg deviation_semgrowth  unexptradwegrw3_expshare stdebt_gdp07, vce(robust)
outreg2 deviation_semgrowth  unexptradwegrw3_expshare stdebt_gdp07 using Tablereg_table1_unexp_pg, excel se nolabel bdec(2) 10pct bracket

reg deviation_semgrowth  unexptradwegrw3_expshare stdebt_gdp07 ca_def_gdp07, vce(robust)
outreg2 deviation_semgrowth  unexptradwegrw3_expshare stdebt_gdp07 ca_def_gdp07 using Tablereg_table1_unexp_pg, excel se nolabel bdec(2) 10pct bracket

local dep     "deviation_semgrowth"
local trade   " unexptradwegrw3_expshare"
local other   "ca_def_gdp07 stdebt_ca_gdp"

*************************************************************************
set more off
foreach x of local dep {
		foreach v of local trade   {	
		  foreach z of local other   {	
				reg `x' `v' `z', vce(robust) 		
                        outreg2 `x' `v' `z' using Tablereg_table1_unexp_pg, excel se nolabel bdec(2) 10pct bracket 
			  }
			 }
			}
set more on


***************************************************************************************************************************
*****TABLE 2 regressions with new ctot measure! (planned to be shown as part of appendix table)

reg deviation_semgrowth  unexptradwegrw3_expshare new_ctot09q1_sem_expshare_pct stdebt_gdp07, vce(robust)
outreg2 deviation_semgrowth  unexptradwegrw3_expshare new_ctot09q1_sem_expshare_pct stdebt_gdp07 using Tablereg_table2_unexp_pg, excel se nolabel bdec(2) 10pct bracket 

***now include advanced manufacturing 05
reg deviation_semgrowth unexptradwegrw3_expshare new_ctot09q1_sem_expshare_pct advmanuf05 stdebt_gdp07, vce(robust)
outreg2 deviation_semgrowth  unexptradwegrw3_expshare new_ctot09q1_sem_expshare_pct advmanuf05 stdebt_gdp07 using Tablereg_table2_unexp_pg, excel se nolabel bdec(2) 10pct bracket 

***now with Adjusted (GTAP) partner growth stdebt
reg deviation_semgrowth new_sem_twgdp09q1_expshare_internal stdebt_gdp07, vce(robust)
outreg2 deviation_semgrowth new_sem_twgdp09q1_expshare_internal stdebt_gdp07 using Tablereg_table2_unexp_pg, excel se nolabel bdec(2) 10pct bracket

***now with change in real exports and stdebt_ca_gdp
reg deviation_semgrowth chrexp09q1sem_gdp_gds_07_ar stdebt_gdp07, vce(robust)
outreg2 deviation_semgrowth chrexp09q1sem_gdp_gds_07_ar stdebt_gdp07 using Tablereg_table2_unexp_pg, excel se nolabel bdec(2) 10pct bracket 


***************************************************************************************************************************
*****TABLE 3 regressions (planned to be shown as part of appendix tables)
reg deviation_semgrowth  unexptradwegrw3_expshare stdebt_gdp07 finanopen07_liabilities, vce(robust)
outreg2 deviation_semgrowth  unexptradwegrw3_expshare stdebt_gdp07 finanopen07_liabilities using Tablereg_NEWtable3_stdebt_unexp_pg, excel se nolabel bdec(2) 10pct bracket 

reg deviation_semgrowth  unexptradwegrw3_expshare bis_stdebt_gdp07 nonbank_bis_stdebt_gdp07, vce(robust)
outreg2 deviation_semgrowth  unexptradwegrw3_expshare bis_stdebt_gdp07 nonbank_bis_stdebt_gdp07 using Tablereg_NEWtable3_stdebt_unexp_pg, excel se nolabel bdec(2) 10pct bracket 

local dep     "deviation_semgrowth"
local trade   "unexptradwegrw3_expshare"
local sted    "stdebt_gdp07"
local finance  "credit_growth_dmb fraser_credit" 
*************************************************************************
set more off
        foreach x of local dep {
          foreach v of local trade   {
		  foreach k of local sted   {
                foreach z of local finance {	
				reg `x' `v' `k' `z', vce(robust) 		
                        outreg2 `x' `v' `k' `z' using Tablereg_NEWtable3_stdebt_unexp_pg, excel se nolabel bdec(2) 10pct bracket
                     }
			  }
			 }
                  }
set more on

***************************************************************************************************************************
*****TABLE 4 regressions (so far shown as table 2 in final paper version)

reg deviation_semgrowth unexptradwegrw3_expshare ln_reserv_stdebt07, vce(robust)
outreg2 deviation_semgrowth  unexptradwegrw3_expshare ln_reserv_stdebt07 using Tablereg_NEWtable4_unexp_pg, excel se nolabel bdec(2) 10pct bracket

***now include ln_stdebt_gdp07 and ln_reservgdp07
reg deviation_semgrowth unexptradwegrw3_expshare ln_stdebtingdp2007 ln_reservgdp07, vce(robust)
outreg2 deviation_semgrowth unexptradwegrw3_expshare ln_stdebtingdp2007 ln_reservgdp07 using Tablereg_NEWtable4_unexp_pg, excel se nolabel bdec(2) 10pct bracket 


***************************************************************************************************************************
*****TABLE 5 regressions (so far shown as table 3 in final paper version)

reg deviation_semgrowth unexptradwegrw3_expshare stdebt_gdp07 err08, vce(robust)
outreg2 deviation_semgrowth  unexptradwegrw3_expshare stdebt_gdp07 err08 using Tablereg_table_5_unexp_pg, excel se nolabel bdec(2) 10pct bracket

reg deviation_semgrowth  unexptradwegrw3_expshare stdebt_gdp07 err08 err08_stdebt_gdp07, vce(robust)
outreg2 deviation_semgrowth  unexptradwegrw3_expshare stdebt_gdp07 err08 err08_stdebt_gdp07 using Tablereg_table_5_unexp_pg, excel se nolabel bdec(2) 10pct bracket 


